Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformation_out Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::ServerInformation_out:

[legend]
List of all members.

## Public Methods
| ServerInformation_out (ServerInformation *&)
| ServerInformation_out (ServerInformation_var &)
| ServerInformation_out (const ServerInformation_out &)
ServerInformation_out & | operator= (const ServerInformation_out &)
ServerInformation_out & | operator= (ServerInformation *)
| operator ServerInformation *& ()
ServerInformation *& | ptr (void)
ServerInformation * | operator-> (void)
## Private Methods
void | operator= (const ServerInformation_var &)
## Private Attributes
ServerInformation *& | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformation_out::ServerInformation_out | ( | ServerInformation *& |  | ) |

ImplementationRepository::ServerInformation_out::ServerInformation_out | ( | ServerInformation_var & |  | ) |

ImplementationRepository::ServerInformation_out::ServerInformation_out | ( | const ServerInformation_out & |  | ) |

## Member Function Documentation

ImplementationRepository::ServerInformation_out::operator ServerInformation *& | ( |  | ) |

ServerInformation* ImplementationRepository::ServerInformation_out::operator-> | ( | void |  | ) |

void ImplementationRepository::ServerInformation_out::operator= | ( | const ServerInformation_var & |  | ) | `[private]`

ServerInformation_out& ImplementationRepository::ServerInformation_out::operator= | ( | ServerInformation * |  | ) |

ServerInformation_out& ImplementationRepository::ServerInformation_out::operator= | ( | const ServerInformation_out & |  | ) |

ServerInformation*& ImplementationRepository::ServerInformation_out::ptr | ( | void |  | ) |

## Member Data Documentation

ServerInformation*& ImplementationRepository::ServerInformation_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h